Bug 1853981 - jaeger-all-in-one-inmemory Crashing with default spec
Summary: jaeger-all-in-one-inmemory Crashing with default spec
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: ISV Operators
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Melvin Hillsman
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-06 03:18 UTC by Bruno Andrade
Modified: 2020-10-08 14:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-08 14:55:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Bruno Andrade 2020-07-06 03:18:20 UTC
Description of problem:

After creating Jaeger with default suggested spec, it's failing with the following issue:

maxprocs: Leaving GOMAXPROCS=2: CPU quota undefined
{"level":"info","ts":1594003151.7844863,"caller":"flags/service.go:116","msg":"Mounting metrics handler on admin server","route":"/metrics"}
{"level":"info","ts":1594003151.7847555,"caller":"flags/admin.go:120","msg":"Mounting health check on admin server","route":"/"}
{"level":"info","ts":1594003151.7848227,"caller":"flags/admin.go:126","msg":"Starting admin HTTP server","http-addr":":14269"}
{"level":"info","ts":1594003151.7848542,"caller":"flags/admin.go:112","msg":"Admin server started","http.host-port":"[::]:14269","health-status":"unavailable"}
{"level":"info","ts":1594003151.8306532,"caller":"memory/factory.go:61","msg":"Memory storage initialized","configuration":{"MaxTraces":0}}
{"level":"info","ts":1594003151.8615305,"caller":"server/grpc.go:76","msg":"Starting jaeger-collector gRPC server","grpc.host-port":":14250"}
{"level":"info","ts":1594003151.861582,"caller":"server/http.go:44","msg":"Starting jaeger-collector HTTP server","http host-port":":14268"}
{"level":"info","ts":1594003151.8617616,"caller":"server/zipkin.go:48","msg":"Listening for Zipkin HTTP traffic","zipkin host-port":":9411"}
{"level":"info","ts":1594003151.8862932,"caller":"grpc/builder.go:57","msg":"Agent requested secure grpc connection to collector(s)"}
{"level":"fatal","ts":1594003151.8863688,"caller":"command-line-arguments/main.go:144","msg":"Could not create collector proxy","error":"failed to load TLS config: failed to load CA CertPool: failed to load CA /var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt: open /var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt: no such file or directory","stacktrace":"main.main.func1\n\tcommand-line-arguments/main.go:144\ngithub.com/spf13/cobra.(*Command).execute\n\tgithub.com/spf13/cobra@v0.0.3/command.go:762\ngithub.com/spf13/cobra.(*Command).ExecuteC\n\tgithub.com/spf13/cobra@v0.0.3/command.go:852\ngithub.com/spf13/cobra.(*Command).Execute\n\tgithub.com/spf13/cobra@v0.0.3/command.go:800\nmain.main\n\tcommand-line-arguments/main.go:190\nruntime.main\n\truntime/proc.go:203"}


apiVersion: jaegertracing.io/v1
kind: Jaeger
metadata:
  name: jaeger-all-in-one-inmemory
  labels: {}
  namespace: test-operators-k2qd9
spec: {}

oc get pods -n test-operators-k2qd9               
NAME                                          READY   STATUS             RESTARTS   AGE
jaeger-all-in-one-inmemory-54ffb954bd-9vsbx   1/2     CrashLoopBackOff   12         39m
jaeger-operator-5c495f6666-7pmkr              1/1     Running            0          52m


Version-Release number of selected component (if applicable):
OCP Version: 4.6.0-0.nightly-2020-07-04-234602
Jaeger Operator Version: 1.18.1

How reproducible:
Always


Steps to Reproduce:
1. Install Jaeger Operator
2. Create jaeger-all-in-one-inmemory as suggested by UI
3. Check pod statement

Actual results:
Failing to install jaeger with default suggested spec

Expected results:
Should be able to create jaeger-all-in-one-inmemory successfully with default 

Additional info:

Comment 2 Bruno Andrade 2020-09-26 04:48:50 UTC
Its working right now as expected, marking as VERIFIED


Note You need to log in before you can comment on or make changes to this bug.